Bug 10766 - Enhancement: define a "sound" group for sound devices
Summary: Enhancement: define a "sound" group for sound devices
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: dev   
(Show other bugs)
Version: 6.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-04-12 21:06 UTC by Andrea Sterbini
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-13 14:57:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andrea Sterbini 2000-04-12 21:06:49 UTC
I like to have all sound devices belonging to the group "sound" with RW
access.
This way I can enable who I want to use the sound devices.

Comment 1 Nalin Dahyabhai 2000-04-13 14:57:59 UTC
If you change the line in /etc/security/console.perms that reads:
<console>  0600 <sound>     0640 root.sys
to:
<console>  0660 <sound>     0640 root.sound
This will solve your problem.  Users logged in at the console will always have
permission to access the sound devices, and when no one's logged in (other than
root, of course), the sound group will have read/write permission.


Note You need to log in before you can comment on or make changes to this bug.